a {
    text-decoration: none;
}

* {
  box-sizing: border-box;
}

html, body {
    min-height: 100%;
    margin: 0;
    background: linear-gradient(45deg, #292929, #303030);
}

body {
    display: flex;
    flex-direction: column;
    margin: 0;
    font-family: "Roboto", sans-serif;
}

.header {
    position: fixed;
    top: 0;
    z-index: 100;

    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 70px;
    background: linear-gradient(45deg, #181818, #202020, #252525);
    padding-left: 2%;
    padding-right: 2%;
    border-bottom: 1px solid rgba(0, 89, 255, 0.29);
    box-shadow: 0px 0px 5vh #1f52b8;
}

#LogoName {
    background: linear-gradient(90deg, #2269c5, #4a7ede);
    color: #ffffff;
    font-size: clamp(30px, 2.5vw, 32px);
    margin: 0;
    padding: clamp(4px, 0.4vw, 6px);
    border-radius: 15px;
    font-weight: bold;
}

.button {
    display: flex;
    gap: clamp(8px, 1.5vw, 24px);
    transition: transform 0.3s, opacity 0.3s;
}

.btn {
    background: linear-gradient(90deg, #2269c5, #4a7ede);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-decoration: none;

    transition: 0.3s;
    font-size: clamp(12px, 1.2vw, 16px);
    white-space: nowrap;
}

.btn:hover {
    color: #8aa3da;
    -webkit-text-fill-color: initial;
    text-decoration: none;
}

.content {
    position: relative;
    padding-top: 70px;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-height: 100%;
    overflow-x: hidden;
    padding-bottom: 5vh;
}

.content > *:not(.effect) {
    position: relative;
    z-index: 1;
}

.header__burger {
    z-index: 101;

    width: clamp(40px, 5vw, 45px);
    height: clamp(40px, 5vw, 45px);

    display: none;
    background-color: transparent;
    color: #2269c5;

    border-radius: 5px;
    border: 1px solid #2269c5;

    font-size: 24px;
}

.header__bars {
    transition: opacity 0.2s;
}

.header__xmark {
    position: absolute;
    opacity: 0;
    transition: opacity 0.2s;
}

.header.open .header__xmark{
    position: static;
    opacity: 1;
}

.header.open .header__bars{
    position: absolute;
    opacity: 0;

}

.header.open .button {
    transform: translateY(0);
}



/* 1024px — Планшеты */
@media (max-width: 1024px) {
    .header__burger {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .button {
        z-index: 100;

        top: 0;
        left: 0;

        width: 100vw;
        height: 100vh;

        position: absolute;
        display: flex;
        gap: 6vh;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        background: linear-gradient(45deg, #181818, #202020, #252525);

        transform: translateY(-100%);
    }

    .btn {font-size: 33px;}
}